svn commit: r321734 - in head/x11-wm/pekwm: . files
Baptiste Daroussin
bapt at FreeBSD.org
Tue Jun 25 11:50:21 UTC 2013
Author: bapt
Date: Tue Jun 25 11:50:20 2013
New Revision: 321734
URL: http://svnweb.freebsd.org/changeset/ports/321734
Log:
Update to 0.1.17 [1]
Add a patch to prevent pekwm_screenshot.sh script to depend on bash
Submitted by: Claes Nasten <me at pekdon.net> (upstream) [1]
Added:
head/x11-wm/pekwm/files/patch-data__scripts__pekwm_screenshot.sh (contents, props changed)
Deleted:
head/x11-wm/pekwm/files/patch-src_x11.cc
Modified:
head/x11-wm/pekwm/Makefile
head/x11-wm/pekwm/distinfo
head/x11-wm/pekwm/pkg-plist
Modified: head/x11-wm/pekwm/Makefile
==============================================================================
--- head/x11-wm/pekwm/Makefile Tue Jun 25 11:10:27 2013 (r321733)
+++ head/x11-wm/pekwm/Makefile Tue Jun 25 11:50:20 2013 (r321734)
@@ -2,10 +2,9 @@
# $FreeBSD$
PORTNAME= pekwm
-PORTVERSION= 0.1.16
-PORTEPOCH= 1
+PORTVERSION= 0.1.17
CATEGORIES= x11-wm
-MASTER_SITES= http://pekwm.org/projects/3/files/
+MASTER_SITES= https://pekwm.org/projects/3/files/
MAINTAINER= bapt at FreeBSD.org
COMMENT= Light, Unobtrusive, and configurable windowmanager
Modified: head/x11-wm/pekwm/distinfo
==============================================================================
--- head/x11-wm/pekwm/distinfo Tue Jun 25 11:10:27 2013 (r321733)
+++ head/x11-wm/pekwm/distinfo Tue Jun 25 11:50:20 2013 (r321734)
@@ -1,2 +1,2 @@
-SHA256 (pekwm-0.1.16.tar.bz2) = 899eef35d5d1f472dd65a08c180b9719935cb1f42eda7fada6f9b8b551c79c96
-SIZE (pekwm-0.1.16.tar.bz2) = 401550
+SHA256 (pekwm-0.1.17.tar.bz2) = 8a1fd3bf9f38e8c7bb2b2864c090f986b60cec2281ecf1bba462d120fb327d00
+SIZE (pekwm-0.1.17.tar.bz2) = 405742
Added: head/x11-wm/pekwm/files/patch-data__scripts__pekwm_screenshot.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ head/x11-wm/pekwm/files/patch-data__scripts__pekwm_screenshot.sh Tue Jun 25 11:50:20 2013 (r321734)
@@ -0,0 +1,66 @@
+--- ./data/scripts/pekwm_screenshot.sh.orig 2013-05-26 14:01:18.000000000 +0200
++++ ./data/scripts/pekwm_screenshot.sh 2013-06-25 13:38:36.617834517 +0200
+@@ -1,30 +1,30 @@
+-#!/usr/bin/env bash
++#!/bin/sh
+ #
+ # Copyright © 2013 the pekwm development team
+ #
+
+-function screenshot_scrot
++screenshot_scrot()
+ {
+ scrot -z "$1"
+ }
+
+-function screenshot_xwd_netpbm
++screenshot_xwd_netpbm()
+ {
+ xwd -root | xwdtopnm 2>/dev/null | pnmtopng > "$1"
+ }
+
+-function screenshot_imagemagick
++screenshot_imagemagick()
+ {
+ import -window root "$1"
+ }
+
+-function is_in_path
++is_in_path()
+ {
+ which $1 >/dev/null 2>&1
+ return $?
+ }
+
+-function detect_command
++detect_command()
+ {
+ is_in_path "scrot"
+ if test $? -eq 0; then
+@@ -45,7 +45,7 @@
+ fi
+ }
+
+-function usage
++usage()
+ {
+ echo "usage: pekwm_screenshot.sh [-c scrot|netpbm|magick] [-d delay] [-o output.png]"
+ echo ""
+@@ -61,7 +61,7 @@
+ exit 0
+ }
+
+-function usage_command
++usage_command()
+ {
+ echo "Unable to find any supported commands for taking screenshots"
+ echo ""
+@@ -74,7 +74,7 @@
+ exit 1
+ }
+
+-function main
++main()
+ {
+ # Initialize for strict mode
+ command=""
Modified: head/x11-wm/pekwm/pkg-plist
==============================================================================
--- head/x11-wm/pekwm/pkg-plist Tue Jun 25 11:10:27 2013 (r321733)
+++ head/x11-wm/pekwm/pkg-plist Tue Jun 25 11:50:20 2013 (r321734)
@@ -44,6 +44,7 @@ bin/pekwm
%%DATADIR%%/themes/default/top-left_unfocus.png
%%DATADIR%%/themes/default/top-right.png
%%DATADIR%%/themes/default/top-right_unfocus.png
+%%DATADIR%%/scripts/pekwm_screenshot.sh
%%DATADIR%%/scripts/pekwm_ws_menu.sh
%%DATADIR%%/scripts/pekwm_themeset.sh
@dirrm %%DATADIR%%/scripts
More information about the svn-ports-head
mailing list